import { ComponentFactoryResolver } from "@angular/core";
import { MatLegacyDialog as MatDialog } from "@angular/material/legacy-dialog";
import { WorkflowConnectionDto, WorkflowDto } from "@smallstack/axios-api-client";
import { Node } from "../components/workflow-node/workflow-node.component";
import { AvailableBlocksStore } from "../stores/available-blocks.store";
import * as i0 from "@angular/core";
export declare const WF_PIXEL_GAP = 40;
export declare class WorkflowEditorService {
    private factoryResolver;
    private availableBlocksStore;
    private matDialog;
    jsPlumbInstance: import("jsplumb").jsPlumbInstance;
    private rootViewContainer;
    private workflow;
    constructor(factoryResolver: ComponentFactoryResolver, availableBlocksStore: AvailableBlocksStore, matDialog: MatDialog);
    setRootViewContainerRef(viewContainerRef: any): void;
    setWorkflow(workflow: WorkflowDto): void;
    addBlock(node: Node): Promise<void>;
    addConnection(workflowConnection: WorkflowConnectionDto): void;
    deleteBlock(node: Node): void;
    configureBlock(node: Node): Promise<void>;
    clear(): void;
    private createConnectionUuid;
    static ɵfac: i0.ɵɵFactoryDeclaration<WorkflowEditorService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WorkflowEditorService>;
}
